## youtubedl-gui 1.6

=== Makefile ===
DESTDIR=/

build:
	cd src; \
	qmake; \
	make -j`nproc`

clean:
	cd src; \
	make clean; \
	rm -f youtubedl-gui

install:
	#create directories
	mkdir -p $$DESTDIR/usr/bin
	mkdir -p $$DESTDIR/usr/share/applications
	for i in 16 32 64 128 256 512; do \
		mkdir -p $$DESTDIR/usr/share/icons/hicolor/$${i}x$${i}/apps; \
	done
	cp src/youtubedl-gui $$DESTDIR/usr/bin
	cp resources/youtubedl-gui.desktop $$DESTDIR/usr/share/applications
	for i in 16 32 64 128 256 512; do \
		cp icons/$${i}x$${i}.png $$DESTDIR/usr/share/icons/hicolor/$${i}x$${i}/apps/youtubedl-gui.png; \
	done

uninstall:
	rm -f $$DESTDIR/usr/bin/youtubedl-gui
	rm -f $$DESTDIR/usr/share/applications/youtubedl-gui.desktop
	for i in 16 32 64 128 256 512; do \
		rm -f $$DESTDIR/usr/share/icons/hicolor/$${i}x$${i}/apps/youtubedl-gui.png; \
	done

=== debian/changelog ===
youtubedl-gui (1.6-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Depend on system's youtube-dl.
  * Change package to "any".
  * Simplify d/rules and use QT_Select.
  * d/control: get rid of unneccessary BDs and use qtbase5-dev like we are 
    supposed to.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 Jan 2021 12:24:13 -0800

youtubedl-gui (1.6-1focal) focal; urgency=medium

  * Initial release - stable version 

 -- Jason Goulet-Lipman (Personal GPG key) <jason.gouletlipman@gmail.com>  Sat, 02 Jan 2021 21:37:41 -0500

=== debian/control ===
Source: youtubedl-gui
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Maintainer: Jason Goulet-Lipman <jason.gouletlipman@gmail.com>
Build-Depends: debhelper (>= 10),
               qtbase5-dev,
               qtdeclarative5-dev,
Standards-Version: 4.4.1
Homepage: https://github.com/JaGoLi/ytdl-gui

Package: youtubedl-gui
Architecture: any
Depends: ffmpeg,
         gtk-update-icon-cache,
         hicolor-icon-theme,
         ${misc:Depends},
         ${shlibs:Depends},
          youtube-dl
# Recommends: ubuntu-restricted-addons
Description: Download Youtube videos to local audio or video files.
 Download Youtube videos to local audio or video files. The package name is
 unfortunately similar to the unrelated youtube-dl-gui.

## youtubedl-gui 2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(youtubedl-gui LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

INCLUDE(GNUInstallDirs)

#Set default prefix to /usr
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX "/usr")
endif()

# uninstall target
if(NOT TARGET uninstall)
  configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

  add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

find_package(QT NAMES Qt6 Qt5 COMPONENTS Widgets REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Widgets REQUIRED)

set(SRC
    #headers
    src/canceldownload.h
    src/downloadprogress.h
    src/downloadstatus.h
    src/mainactions.h
    src/maincommand.h
    src/ytdl.h

    #cpp
    src/canceldownload.cpp
    src/downloadprogress.cpp
    src/downloadstatus.cpp
    src/main.cpp
    src/mainactions.cpp
    src/maincommand.cpp
    src/ytdl.cpp

    #ui
    src/downloadstatus.ui
    src/ytdl.ui)

if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
    qt_add_executable(youtubedl-gui
	    ${SRC}
    )
else()
    if(ANDROID)
        add_library(youtubedl-gui SHARED
		${SRC}
        )
    else()
        add_executable(youtubedl-gui
		${SRC}
        )
    endif()
endif()


target_link_libraries(youtubedl-gui PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)

install(TARGETS youtubedl-gui RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

install(FILES icons/16x16.png
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/apps
    RENAME youtubedl-gui.png)
install(FILES icons/32x32.png
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps
    RENAME youtubedl-gui.png)
install(FILES icons/64x64.png
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps
    RENAME youtubedl-gui.png)
install(FILES icons/128x128.png
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/128x128/apps
    RENAME youtubedl-gui.png)
install(FILES icons/256x256.png
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/256x256/apps
    RENAME youtubedl-gui.png)
install(FILES icons/512x512.png
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/512x512/apps
    RENAME youtubedl-gui.png)

install(FILES resources/youtubedl-gui.desktop
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)

=== debian/changelog ===
youtubedl-gui (2.5-1) unstable; urgency=low

  * Initial release. (Closes: #988031)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 03 May 2021 20:00:27 +0100

=== debian/control ===
Source: youtubedl-gui
Section: web
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: cmake, debhelper-compat (= 13),
	qtbase5-dev, qtdeclarative5-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/JaGoLi/ytdl-gui
Vcs-Git: https://salsa.debian.org/debian/ytdl-gui.git
Vcs-Browser: https://salsa.debian.org/debian/ytdl-gui

Package: youtubedl-gui
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, youtube-dl
Description: GUI on youtube-dl to download videos from a variety of sites
 Graphical interface to youtube-dl, the CLI for downloading videos
 from a variety of sites. Allows control of format, resolution, audio
 and video codecs, etc.

## youtubedl-gui 3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.9)
 
 project(youtubedl-gui LANGUAGES CXX)
 
@@ -12,11 +12,23 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 INCLUDE(GNUInstallDirs)
+INCLUDE(CheckIPOSupported)
 
 #Set default prefix to /usr
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
   set(CMAKE_INSTALL_PREFIX "/usr")
 endif()
+
+# check if compiler supports link time optmizations and enable it
+if(LINUX)
+  check_ipo_supported(RESULT result)
+    if (CMAKE_COMPILER_IS_GNUCXX) # clang lto with qt is broken.
+            if(result)
+            set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)
+        endif()
+    endif()
+endif()
+
 
 # uninstall target
 if(NOT TARGET uninstall)
@@ -40,6 +52,7 @@
     src/mainactions.h
     src/maincommand.h
     src/ytdl.h
+    src/readconfig.h
 
     #cpp
     src/canceldownload.cpp
@@ -49,6 +62,7 @@
     src/mainactions.cpp
     src/maincommand.cpp
     src/ytdl.cpp
+    src/readconfig.cpp
 
     #ui
     src/downloadstatus.ui

=== debian/changelog ===
youtubedl-gui (3.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:41:09 +1100

youtubedl-gui (3.0-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:33:33 +0000

youtubedl-gui (3.0-2) unstable; urgency=medium

  [ Andres Salomon ]
  * Replace depends on youtube-dl with yt-dlp and update package description
    (closes: #1024214).

  [ Barak A. Pearlmutter ]
  * Bump policy and gbp import/export patch

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 17 Nov 2022 09:21:59 +0000

youtubedl-gui (3.0-1) unstable; urgency=medium

  * Bump policy
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Sep 2021 11:10:07 +0100

=== debian/control ===
Source: youtubedl-gui
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: cmake, debhelper-compat (= 13),
	qtbase5-dev, qtdeclarative5-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/JaGoLi/ytdl-gui
Vcs-Git: https://salsa.debian.org/debian/ytdl-gui.git
Vcs-Browser: https://salsa.debian.org/debian/ytdl-gui

Package: youtubedl-gui
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, yt-dlp
Description: GUI on yt-dlp (ie, youtube-dl) to download videos from a variety of sites
 Graphical interface to yt-dlp, the CLI for downloading videos
 from a variety of sites. Allows control of format, resolution, audio
 and video codecs, etc.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

#override_dh_auto_configure:
#	dh_auto_configure -- \
#	      -DCMAKE_LIBRARY_ARCHITECTURE="$(DEB_TARGET_MULTIARCH)"

## youtubedl-gui 4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,6 @@
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.16)
 
 project(youtubedl-gui LANGUAGES CXX)
-
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTOMOC ON)
@@ -18,6 +16,9 @@
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
   set(CMAKE_INSTALL_PREFIX "/usr")
 endif()
+
+
+add_definitions(-DYTDL_GUI_DATA_DIR="${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ytdl-gui/")
 
 # check if compiler supports link time optmizations and enable it
 if(LINUX)
@@ -41,7 +42,8 @@
     COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
 endif()
 
-find_package(QT NAMES Qt6 Qt5 COMPONENTS Widgets REQUIRED)
+find_package(QT NAMES Qt6 COMPONENTS Widgets REQUIRED)
+message(STATUS "Building using Qt version: ${QT_VERSION}")
 find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Widgets REQUIRED)
 
 set(SRC
@@ -88,25 +90,36 @@
 target_link_libraries(youtubedl-gui PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)
 
 install(TARGETS youtubedl-gui RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+set(TRANSLATIONS
+    locales/ytdl-gui_fr.qm
+    locales/ytdl-gui_de.qm
+    locales/ytdl-gui_et.qm
+    # Add other translation files here
+)
+
+foreach(translation_file ${TRANSLATIONS})
+    install(FILES ${translation_file} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/ytdl-gui/locales)
+endforeach()
 
 install(FILES icons/16x16.png
     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/apps
-    RENAME youtubedl-gui.png)
+    RENAME page.codeberg.impromptux.ytdl-gui.png)
 install(FILES icons/32x32.png
     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps
-    RENAME youtubedl-gui.png)
+    RENAME page.codeberg.impromptux.ytdl-gui.png)
 install(FILES icons/64x64.png
     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps
-    RENAME youtubedl-gui.png)
+    RENAME page.codeberg.impromptux.ytdl-gui.png)
 install(FILES icons/128x128.png
     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/128x128/apps
-    RENAME youtubedl-gui.png)
+    RENAME page.codeberg.impromptux.ytdl-gui.png)
 install(FILES icons/256x256.png
     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/256x256/apps
-    RENAME youtubedl-gui.png)
+    RENAME page.codeberg.impromptux.ytdl-gui.png)
 install(FILES icons/512x512.png
     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/512x512/apps
-    RENAME youtubedl-gui.png)
+    RENAME page.codeberg.impromptux.ytdl-gui.png)
 
 install(FILES resources/youtubedl-gui.desktop
-    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
+    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications
+    RENAME page.codeberg.impromptux.ytdl-gui.desktop)

=== debian/changelog ===
youtubedl-gui (4.4-1) unstable; urgency=medium

  * bump policy
  * uscan v5, and switch upstream from JaGoLi to impromptux
  * new upstream release
  * update dependencies, qt6
  * remove quilt patch, issue worked around upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 18 Feb 2026 14:49:52 +0000

=== debian/watch ===
Version: 5

Template: Github
Owner: impromptux
Project: ytdl-gui
Uversion-Mangle: s/-?(a|alpha|b|beta|c|dev|pre|rc)/~$1/

## youtubedl-gui 4.4.1

=== debian/changelog ===
youtubedl-gui (4.4.1-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 25 Feb 2026 12:31:32 +0000

=== debian/control ===
Source: youtubedl-gui
Section: web
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13),
	cmake,
	qt6-base-dev, ffmpeg, yt-dlp
Standards-Version: 4.7.3
Homepage: https://github.com/JaGoLi/ytdl-gui
Vcs-Git: https://salsa.debian.org/debian/ytdl-gui.git
Vcs-Browser: https://salsa.debian.org/debian/ytdl-gui

Package: youtubedl-gui
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, ffmpeg, yt-dlp
Description: GUI on yt-dlp (ie, youtube-dl) to download videos from a variety of sites
 Graphical interface to yt-dlp, the CLI for downloading videos
 from a variety of sites. Allows control of format, resolution, audio
 and video codecs, etc.

## youtubedl-gui 4.4.2

=== debian/changelog ===
youtubedl-gui (4.4.2-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 Mar 2026 15:41:39 +0000
